import { config } from './src/types';
declare class Scathach {
    private config;
    private useragent;
    private apikey;
    static default: typeof Scathach;
    constructor(config?: config);
    /**
     * Get a random object Fate/Lewd Order from the scathach bot
     * @returns Unfiltered <code>scathach.redsplit.org/v5/fgo</code> Response
     */
    getFgo(): Promise<unknown>;
    /**
     * Get a random object Genslut Impact from the scathach bot
     * @returns Unfiltered <code>scathach.redsplit.org/v5/genshin</code> Response
     */
    getGenshin(): Promise<unknown>;
    /**
    * Get a random object Lacur Lane from the scathach bot
    * @returns Unfiltered <code>scathach.redsplit.org/v5/azur_lane</code> Response
    */
    getAzur(): Promise<unknown>;
    /**
     * Get a random wholesome waifu
     * @returns Unfiltered scathach.redsplit.org/v5/waifu Response
     */
    getWaifu(): Promise<unknown>;
    /**
     * Get a random sex porn gif
     * @returns Unfiltered scathach.redsplit.org/v5/sex Response
     */
    getSex(): Promise<unknown>;
    /**
     * Get a reaction from servant fate
     * @param img The reaction to get
     * @returns Unfiltered servant.gitlab.com/d0g/servant/-/raw/master/_constant/ Response
     * @example
     * getReaction("smug")
     * getReaction("cry")
     * getReaction("pout")
     * getReaction("bonk")
     * @returns the random reaction from scathach bot
     */
    getReaction(img: string): Promise<unknown>;
    /**
     * Bulk image request from gelbooru
     * @param tags The Tags your want to use for your Search
     * @param limit the amount of posts you want back
     * @param page the page you want to search on
     * @example
     * searchGelbooru("cat_girl")
     * searchGelbooru("cat_girl", 25)
     * searchGelbooru("cat_girl", 25, 2)
     * @returns A data that represents the proxied gelbooru response from scathach bot
     */
    searchGelbooru(tags: string | string[], limit?: number, page?: number): Promise<unknown>;
    /**
     * Bulk image request from r34
     * @param tags The Tags your want to use for your Search
     * @param limit the amount of posts you want back
     * @param page the page you want to search on
     * @example
     * searchR34("futanari")
     * searchR34("futanari", 25)
     * searchR34("futanari", 25, 2)
     * @returns A data that represents the proxied r34 response from scathach bot
     */
    searchR34(tags: string | string[], limit?: number, page?: number): Promise<unknown>;
    /**
     * Bulk image request from safebooru
     * @param tags The Tags your want to use for your Search
     * @param limit the amount of posts you want back
     * @param page the page you want to search on
     * @example
     * searchSafebooru("cat")
     * searchSafebooru("cat", 25)
     * searchSafebooru("cat", 25, 2)
     * @returns A data that represents the proxied safebooru response from scathach bot
     */
    searchSafe(tags: string | string[], limit?: number, page?: number): Promise<unknown>;
}
export = Scathach;
